Subject: Duke Guaranty
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 30 Jun 2000 06:52:00 -0700 (PDT)

Mary:
After reviewing heir form of Guaranty, I would prefer that we use our 
multi-product form.  Their form is more suited to guarantees of debt.  If 
they insist on using our form , I would be happy to mark it up but the 
mark-up would be fairly substantial.  Let me know what you want to do.

Carol